Major Lines

POSThttps://vision.astrologyapi.com/palmistry/major-lines
Copy

Returns the stored major lines analysis (heart line, head line, life line, fate line) for a given palm reading.

POST/major-lines
Copy
1curl --location 'https://vision.astrologyapi.com/palmistry/major-lines' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "palm_id": "c48d0b80-1d49-4af8-8c05-e778b3d7a00f"
6}'
7
200Response
Copy
1{
2  "status": true,
3  "data": {
4    "heart_line": {
5      "shape": "curved",
6      "depth": "deep",
7      "starting_point": "below index finger",
8      "quality": "clear"
9    },
10    "head_line": {
11      "shape": "straight",
12      "depth": "medium",
13      "starting_point": "between thumb and index"
14    },
15    "life_line": {
16      "shape": "wide curve",
17      "depth": "deep",
18      "quality": "clear",
19      "fork": "absent"
20    },
21    "fate_line": {
22      "presence": "present",
23      "origin": "wrist"
24    }
25  }
26}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

palm_id

string

required

Unique palm reading ID returned by get-palm-id

Request Description

Fetch heart, head, life and fate line details for a previously scanned palm.

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.